Skip to navigation

Creates validation rule for parent object

Beta
Creates validation rule for parent object

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

custom_entity_schema_idstringRequired
ID of the CustomEntitySchema.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
definitionstringRequired
errorMessagestringRequired
namestringRequired
descriptionstringOptional

Response

OK
validationRuleIdstringOptional

Errors

400
Custom Entity Schema Create Validation Rule Request Bad Request Error
403
Custom Entity Schema Create Validation Rule Request Forbidden Error
404
Custom Entity Schema Create Validation Rule Request Not Found Error
409
Custom Entity Schema Create Validation Rule Request Conflict Error
429
Custom Entity Schema Create Validation Rule Request Too Many Requests Error
500
Custom Entity Schema Create Validation Rule Request Internal Server Error